org.apache.ignite.internal.processors.cache.verify

## Class ViewCacheClosure

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.verify.ViewCacheClosure

All Implemented Interfaces:
  Serializable, Callable<List<CacheInfo>>, IgniteCallable<List<CacheInfo>>

    public class ViewCacheClosure
    extends Object
    implements IgniteCallable<List<CacheInfo>>

View cache closure.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ViewCacheClosure(String regex, VisorViewCacheCmd cmd)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<CacheInfo>` `call()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViewCacheClosure

    public ViewCacheClosure(String regex,
                            VisorViewCacheCmd cmd)

Parameters:
  `regex` - Regex name for stopping caches.
  `cmd` - Command.

### Method Detail

#### call

    public List<CacheInfo> call()
                         throws Exception

Specified by:
  `call` in interface `Callable<List<CacheInfo>>`
Throws:
  `Exception`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023